import { Channel } from "amqplib";
import { Worker, WorkerQueue, WorkerQueueConfiguration } from "../types";
declare type WorkerConfiguration<TQueues extends Record<string, WorkerQueue>, TContext> = {
    channel: Channel;
    queueConfigurations: WorkerQueueConfiguration<TQueues, TContext>;
    context: TContext;
};
export declare const createWorker: <TQueues extends Record<string, WorkerQueue>, TContext>({ channel, queueConfigurations, context, }: WorkerConfiguration<TQueues, TContext>) => Promise<Worker<TQueues>>;
export {};
